﻿@model int? 
@{var fieldName = ViewData.TemplateInfo.HtmlFieldPrefix;}

<script>
    function showDialog_@fieldName () {
        $('#categoryselectdialog_@fieldName').data("kendoDialog").open();
    }
</script>

@(Html.Kendo().Button()
        .Name("showDialogBtn_"+ fieldName)
        .HtmlAttributes(new { type = "button", @class = "k-primary" })
        .Content("انتخاب")
    .Events(ev => ev.Click("showDialog_"+ fieldName))
)
@(Html.TextBoxFor(m => m, new { @type = "hidden" }))
<span id="categoryselectedlabel_@fieldName">
    هنوز موردی انتخاب نشده
</span>